.page_banner .flex {
  min-height: 53.8rem;
}
.page_banner .con {
  padding-bottom: 1.8%;
}
.products_main {
  background-color: var(--bg);
  padding: 14.4rem 0 15.3rem;
}
.products_main p {
  max-width: 73.4rem;
  margin-top: 3.6rem;
}
.products_main p.center:has(.btn_line) {
  max-width: unset;
  margin-top: 4.4rem;
  min-height: 5.9rem;
}
.products_main p.center:has(.btn_line) .btn_line {
  min-width: 21.9rem;
}
.products_main .main {
  margin-top: 4.4rem;
}
.products_main .btn_filter {
  display: none;
}
.products_main .products_sidebar {
  width: 29.1rem;
  /* position: sticky; */
  top: 12rem;
}
.products_main .products_sidebar .con {
  background-color: #fff;
}
.products_main .products_sidebar .categories {
  background-color: #4d4d4d;
}
.products_main .products_sidebar .categories .box {
  background-color: #ebebeb;
}
.products_main .products_sidebar .categories .title {
  cursor: pointer;
}
.products_main .products_sidebar .categories > .taxonomy + .taxonomy {
  margin-top: 1px;
}
.products_main .products_sidebar .categories > .taxonomy > .title {
  background-color: #0f0f0f;
  color: #fff;
  font-size: 1.8rem;
  font-weight: 700;
  min-height: 6.4rem;
}
.products_main .products_sidebar .categories > .taxonomy > .title::after {
  display: block;
  filter: contrast(0) brightness(2);
}
.products_main .products_sidebar .parameters {
  padding: 3rem 0 4.9rem;
}
.products_main .products_sidebar .sub_category {
  padding: 2.6rem 2rem 3rem;
}
.products_main .products_sidebar .sub_category .title {
  font-size: 1.7rem;
  font-weight: 500;
  padding: 0.9rem 0;
}
.products_main .products_sidebar .taxonomy.active > .title::after {
  transform: rotate(180deg);
}
.products_main .products_sidebar .title {
  display: grid;
  grid-template-columns: 1fr 1.5rem;
  align-items: center;
  font-size: 2rem;
  line-height: 1.29411765;
  font-weight: 600;
  color: #161616;
  padding: 1.4rem 2.1rem;
}
.products_main .products_sidebar .title::after {
  content: '';
  display: none;
  width: 100%;
  padding-bottom: 100%;
  transition: all 0.3s;
  background: url(../images/icon-select.svg) no-repeat center / contain;
  filter: contrast(0) brightness(0);
}
.products_main .products_sidebar .box {
  display: none;
}
.products_main .products_sidebar .terms {
  border-top: 1px solid rgba(22, 22, 22, 0.14);
  margin: 0 2rem;
  padding: 2.2rem 0 2.4rem;
}
.products_main .products_sidebar .terms li {
  position: relative;
  cursor: pointer;
  font-size: 1.7rem;
  color: #7c7c7c;
  transition: all 0.3s;
  padding-left: 3.6rem;
}
.products_main .products_sidebar .terms li::before {
  width: 1.5rem;
  height: 1.5rem;
  border: 1px solid #d7d7d7;
  background: url("../images/gou-w.svg") no-repeat center / 65% #fff;
  transition: all 0.3s;
  position: absolute;
  left: 0;
  top: 2px;
  content: '';
}
.products_main .products_sidebar .terms li.active,
.products_main .products_sidebar .terms li:hover {
  color: var(--primary);
}
.products_main .products_sidebar .terms li.active {
  font-weight: 500;
}
.products_main .products_sidebar .terms li.active::before {
  background-color: var(--primary);
  border-color: var(--primary);
}
.products_main .products_sidebar .terms li + li {
  margin-top: 1.4rem;
}
.products_main .products_sidebar .nav {
  padding: 0.3rem 0 1.2rem;
}
.products_main .products_sidebar .nav li + li {
  margin-top: 0.9rem;
}
.products_main .products_sidebar .nav li {
  display: flex;
  align-items: flex-start;
}
.products_main .products_sidebar .nav .nav_item {
  position: relative;
  display: inline-block;
  font-size: 1.5rem;
  transition: all 0.3s;
  color: #7c7c7c;
  text-decoration: underline transparent;
  padding-left: 1.2rem;
}
.products_main .products_sidebar .nav .nav_item::before {
  position: absolute;
  background: url("../images/nav-r.svg") no-repeat center left / contain;
  width: 0.9rem;
  height: 0.9rem;
  left: 0;
  top: 0.7rem;
  content: '';
  filter: contrast(0) brightness(1);
  transition: all 0.3s;
}
.products_main .products_sidebar .nav .nav_item.active,
.products_main .products_sidebar .nav .nav_item:hover {
  color: var(--primary);
  text-decoration-color: var(--primary);
}
.products_main .products_sidebar .nav .nav_item.active::before,
.products_main .products_sidebar .nav .nav_item:hover::before {
  filter: unset;
}
.products_main .products_sidebar .nav .nav_item.active {
  font-weight: 500;
}
.products_main .rt {
  flex: 1;
  width: 100%;
  max-width: 114.7rem;
}
.products_main .list ul {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(min(30rem, 100%), 1fr));
  gap: 2px;
}
.products_main .list .desc {
  -webkit-line-clamp: 3;
}
.products_main .list .info {
  padding-bottom: 2.9rem;
}
.products_main .products_sidebar .title > a {
  display: inline;
  max-width: max-content;
  transition: all .3s;
}
.products_main .products_sidebar .title.active > a,
.products_main .products_sidebar .title > a:hover {
  color: var(--primary);
}
.products_main .products_sidebar .title.active > a {
  text-decoration: underline;
}
.products_main .products_sidebar .sub_category .title {
  display: block;
  padding-right: 20px;
}
.products_main .product_list {
  counter-reset: products;
}
.products_main .product_list li {
  counter-increment: products;
}
.products_main .product_list .order::before {
  content: counter(products, decimal-leading-zero);
}
@media screen and (max-width: 768px) {
  .page_banner .flex {
    min-height: unset;
  }
  .products_main {
    padding: 50px 0;
  }
  .products_main p.center:has(.btn_line) {
    margin-top: 40px;
    min-height: 42px;
  }
  .products_main p.center:has(.btn_line) .btn_line {
    min-width: unset;
  }
  .products_main .main {
    margin-top: 30px;
  }
  .products_main .btn_filter {
    display: inline-flex;
    align-items: center;
    cursor: pointer;
    font-size: 20px;
    font-weight: 600;
    gap: 8px;
  }
  .products_main .btn_filter::after {
    display: inline-block;
    flex-shrink: 0;
    width: 22px;
    height: 22px;
    content: '';
    background: url("../images/nav-btn-p.svg") no-repeat center / contain;
  }
  .products_main .list {
    margin-top: 30px;
  }
  .products_main .list ul {
    grid-template-columns: repeat(auto-fill, minmax(min(250px, 100%), 1fr));
  }
  .products_main .products_sidebar {
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    z-index: 999;
    pointer-events: none;
    display: flex;
    --radius: 8px;
    margin: 0;
    width: unset;
  }
  .products_main .products_sidebar.active {
    pointer-events: all;
  }
  .products_main .products_sidebar.active .close {
    opacity: 1;
  }
  .products_main .products_sidebar.active .con {
    transform: translate(0);
  }
  .products_main .products_sidebar > .close {
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    z-index: -1;
    opacity: 0;
    transition: all 0.3s;
    background-color: rgba(0, 0, 0, 0.75);
  }
  .products_main .products_sidebar .con {
    width: min(300px, 80%);
    height: 100%;
    display: flex;
    flex-direction: column;
    transition: all 0.3s;
    transform: translateX(-100%);
  }
  .products_main .products_sidebar .close_box {
    padding: 12px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
  }
  .products_main .products_sidebar .close_box .close {
    display: block;
    width: 40px;
    height: 40px;
    cursor: pointer;
    margin-left: auto;
    transition: all 0.3s;
    border-radius: var(--radius);
    background: url('../images/close.svg') no-repeat center / 12px;
  }
  .products_main .products_sidebar .close_box .close:hover {
    background-color: rgba(0, 0, 0, 0.05);
  }
  .products_main .products_sidebar .close_box + div {
    flex: 1;
    overflow: auto;
    padding: 0 0 30px;
  }
  .products_main .products_sidebar .categories > .taxonomy > .title {
    font-size: 18px;
    min-height: unset;
  }
  .products_main .products_sidebar .parameters {
    padding: 0;
  }
  .products_main .products_sidebar .sub_category {
    padding: 10px 0;
  }
  .products_main .products_sidebar .sub_category .title {
    font-size: 16px;
    padding: 10px 20px;
  }
  .products_main .products_sidebar .title {
    font-size: 18px;
    line-height: 1.5;
    padding: 14px 20px;
    grid-template-columns: 1fr 12px;
    gap: 10px;
  }
  .products_main .products_sidebar .title::after {
    display: block;
  }
  .products_main .products_sidebar .terms {
    margin: 0 20px;
    padding: 20px 0;
  }
  .products_main .products_sidebar .terms li {
    padding-left: 30px;
    font-size: 14px;
  }
  .products_main .products_sidebar .terms li::before {
    width: 16px;
    height: 16px;
    top: 0;
  }
  .products_main .products_sidebar .terms li + li {
    margin-top: 16px;
  }
  .products_main .products_sidebar .terms .more {
    font-size: 16px;
    margin-top: 20px;
    padding: 0;
  }
  .products_main .products_sidebar .nav {
    padding: 0 20px 10px;
  }
  .products_main .products_sidebar .nav li + li {
    margin-top: 10px;
  }
  .products_main .products_sidebar .nav .nav_item {
    font-size: 14px;
    padding-left: 15px;
  }
  .products_main .products_sidebar .nav .nav_item::before {
    width: 7px;
    height: 7px;
    top: 6px;
  }
}